Summary:	Atomic Tanks - a game similiar to Scorched Earth and Worms
Summary(pl.UTF-8):	Atomic Tanks - gra podobna do Scorched Earth oraz Worms
Name:		atanks
Version:	5.2
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/atanks/%{name}-%{version}.tar.gz
# Source0-md5:	05bedbb7b3f50831a30b47f7776c8c1a
Patch0:		%{name}-flags.patch
Patch1:		%{name}-desktop.patch
URL:		http://atanks.sourceforge.net/
BuildRequires:	allegro-devel >= 4.4.0
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Atomic Tanks is a Scorched Earth clone similar to the Worms series of
games. Annihilate the other tanks to earn money, then spend it on
bigger and better shields and weapons to wipe out the opposition.
Features a wide array of weapons, AI players, destructible landscape,
weather, parachutes, teleports and a wide range of other features.

%description -l pl.UTF-8
Atomic Tanks to klon Scorched Earth, podobny do serii gier "Worms". W
grze należy niszczyć inne czołgi, aby zarobić pieniądze, które można
przeznaczyć na nowe, lepsze tarcze oraz broń, która pomoże zwyciężyć
przeciwników. Zaletami gry są: duży asortyment broni, komputerowi
gracze, niszczalny teren, różne warunki pogodowe, spadochrony,
teleporty i inne.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	LIBS="`allegro-config --libs` -lpthread"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a atanks.desktop $RPM_BUILD_ROOT%{_desktopdir}
cp -a atanks.png  $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog credits.txt text/* README* TODO
%attr(755,root,root) %{_bindir}/atanks
%{_datadir}/games/%{name}
%{_desktopdir}/atanks.desktop
%{_pixmapsdir}/atanks.png
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/atanks.git;a=log;h=master

* Mon Feb 06 2012 lisu <lisu@pld-linux.org> 3f4892f
- obsoleted

* Mon Feb 06 2012 lisu <lisu@pld-linux.org> f03f143
- updated for 5.2

* Mon Feb 06 2012 lisu <lisu@pld-linux.org> ec4497e
- up to 5.2
- install patch is obsoleted

* Mon Jul 04 2011 lisu <lisu@pld-linux.org> 828d87d
- updated to 5.1

* Wed Jun 08 2011 lisu <lisu@pld-linux.org> 96ec1a9
- updated to 5.0

* Wed May 04 2011 lisu <lisu@pld-linux.org> f62c3a4
- updated to 4.9

* Tue Mar 08 2011 lisu <lisu@pld-linux.org> 17b3e40
- up to 4.8

* Tue Sep 07 2010 lisu <lisu@pld-linux.org> 20fdb0b
- obsoleted

* Tue Sep 07 2010 lisu <lisu@pld-linux.org> 9e6e10e
- updated to 4.7
- link with -lpthread
- drop obsolete -mkdir.patch

* Mon May 31 2010 lisu <lisu@pld-linux.org> 80800a8
- up for 4.6

* Mon May 31 2010 lisu <lisu@pld-linux.org> a90c006
- updated to 4.6

* Thu May 13 2010 lisu <lisu@pld-linux.org> 592bbc2
- fix mkdir() function problem

* Wed May 12 2010 sparky <sparky@pld-linux.org> db18846
- BR: libstdc++-devel (still fails to build)

* Fri Apr 09 2010 lisu <lisu@pld-linux.org> e0cffaf
- updated to 4.5

* Tue Mar 16 2010 lisu <lisu@pld-linux.org> 3c43c1c
- get rid of old .desktop stuff

* Tue Mar 16 2010 lisu <lisu@pld-linux.org> 05e180a
- not longer needed

* Tue Mar 16 2010 lisu <lisu@pld-linux.org> e8b4048
- new

* Tue Mar 16 2010 lisu <lisu@pld-linux.org> d910551
- obsolete

* Tue Mar 16 2010 lisu <lisu@pld-linux.org> dba98bb
- updated (at last!) to 4.4 version
- atanks needs allegro from branch 4.4 to build properly
- new patches: -flags.patch (use our flags), -install-patch (DESTDIR), -desktop.patch (use embedded destkop)
- rm old obsolete -datadir.patch
- install using %%{__make} install
- pl fixes

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> d52f8b3
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

